<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf8">
		<title>Cargar aporte</title>
		<link rel="stylesheet" href="styles/layout.css">
		<link rel="stylesheet" href="styles/list.css">
		<link rel="stylesheet" href="js/jquery-ui-1.12.1.custom/jquery-ui.css">
		<script src="js/vue-2.5.13.js"></script>
	</head>
	<body>	
		<header>
			<h1>Aportes</h1>
			<nav>
				<a class="load" href="carga.html">Carga</a>
				<a class="list" href="seguimiento.html">Seguimiento</a>
				<a class="historic" href="historico.html">Histórico</a>
			</nav>
		</header>
		<main id="list">
			<div id="filters" v-bind:class="showFiltersClass">	
				<div class="line">
					<div class="filter contributor">
						<div class="title">Aportante</div>
						<input type=text>
					</div>
					<div class="filter amount">
						<div class="title">Monto</div>
						<div class="range-container">
							<div>
								<label>Desde</label>
								<input type="text">
							</div>	
							<div>
								<label>Hasta</label>
								<input type="text">
							</div>	
						</div>
					</div>
					<div class="filter period">
						<div class="title">Período</div>
						<div class="range-container">
							<div>
								<label>Desde</label>
								<select>
									<option value="1">Enero</option>
									<option value="2">Febrero</option>
									<option value="3">Marzo</option>
									<option value="4">Abril</option>
									<option value="5">Mayo</option>
									<option value="6">Junio</option>
									<option value="7">Julio</option>
									<option value="8">Agosto</option>
									<option value="9">Septimbre</option>
									<option value="10">Octubre</option>
									<option value="11">Noviembre</option>
									<option value="12">Diciembre</option>
								</select>	
								<select>
									<option value="2011">2011</option>
									<option value="2012">2012</option>
									<option value="2013">2013</option>
									<option value="2014">2014</option>
									<option value="2015">2015</option>
									<option value="2016">2016</option>
									<option value="2017">2017</option>
									<option value="2018">2018</option>
								</select>	
							</div>	
							<div>
								<label>Hasta</label>
								<select>
									<option value="1">Enero</option>
									<option value="2">Febrero</option>
									<option value="3">Marzo</option>
									<option value="4">Abril</option>
									<option value="5">Mayo</option>
									<option value="6">Junio</option>
									<option value="7">Julio</option>
									<option value="8">Agosto</option>
									<option value="9">Septimbre</option>
									<option value="10">Octubre</option>
									<option value="11">Noviembre</option>
									<option value="12">Diciembre</option>
								</select>	
								<select>
									<option value="2011">2011</option>
									<option value="2012">2012</option>
									<option value="2013">2013</option>
									<option value="2014">2014</option>
									<option value="2015">2015</option>
									<option value="2016">2016</option>
									<option value="2017">2017</option>
									<option value="2018">2018</option>
								</select>	
							</div>	
						</div>
					</div>
				</div>
				<div class="line advanced">
					<div class="filter receptionDate">
						<div class="title">Fecha de recepción</div>
						<div class="range-container">
							<div>
								<label>Desde</label>
								<input class="from" type="text">
							</div>	
							<div>
								<label>Hasta</label>
								<input class="to" type="text">
							</div>	
						</div>
					</div>
					<div class="filter commitDate">
						<div class="title">Fecha de entrega</div>
						<div class="range-container">
							<div>
								<label>Desde</label>
								<input class="from" type="text">
							</div>	
							<div>
								<label>Hasta</label>
								<input class="to" type="text">
							</div>	
						</div>
					</div>
				</div>
				<button>Aplicar</button><a class="advanced-filters-link" href="">Mostrar mas filtros</a>
			</div>

			<div class="header">	
				<button v-on:click="toggleFilters" class="filters-button">Filtros</button>
				<div class="buttons">
					<button>Marcar como no entregado</button>	
					<button>Marcar como entregado</button>	
				</div>
			</div>	

			<div id="contributions">
				<div class="elements-header">
					<div class="checkbox"></div>
					<div class="contributor"><span>Aportante</span></div>
					<div class="amount"><span>Monto</span></div>
					<div class="period"><span>Período</span></div>
					<div class="receptionDate"><span>Recepción</span></div>
					<div class="commitDate"><span>Entrega</span></div>
					<div class="status received"><span>Estado</span></div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">Ariel Pereyra Loyola</div>
					<div class="amount">400</div>
					<div class="period">Enero 2018</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">-</div>
					<div class="status received">Cargado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">María de las mercedes Pereyra Olavarría</div>
					<div class="amount">700</div>
					<div class="period">Febrero 2018</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">-</div>
					<div class="status received">Cargado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">Daniela Ivanna Satz</div>
					<div class="amount">1400</div>
					<div class="period">Septiembre 2017</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">12/12/2018</div>
					<div class="status commited">Entregado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">Ariel Pereyra Loyola</div>
					<div class="amount">400</div>
					<div class="period">Enero 2018</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">12/12/2018</div>
					<div class="status commited">Entregado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">María de las mercedes Pereyra Olavarría</div>
					<div class="amount">700</div>
					<div class="period">Febrero 2018</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">-</div>
					<div class="status received">Cargado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">Daniela Ivanna Satz</div>
					<div class="amount">1400</div>
					<div class="period">Septiembre 2017</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">12/12/2018</div>
					<div class="status commited">Entregado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">Ariel Pereyra Loyola</div>
					<div class="amount">400</div>
					<div class="period">Enero 2018</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">-</div>
					<div class="status received">Cargado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">María de las mercedes Pereyra Olavarría</div>
					<div class="amount">700</div>
					<div class="period">Febrero 2018</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">-</div>
					<div class="status received">Cargado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">Daniela Ivanna Satz</div>
					<div class="amount">1400</div>
					<div class="period">Septiembre 2017</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">12/12/2018</div>
					<div class="status commited">Entregado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">Ariel Pereyra Loyola</div>
					<div class="amount">400</div>
					<div class="period">Enero 2018</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">-</div>
					<div class="status received">Cargado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">María de las mercedes Pereyra Olavarría</div>
					<div class="amount">700</div>
					<div class="period">Febrero 2018</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">-</div>
					<div class="status received">Cargado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">Daniela Ivanna Satz</div>
					<div class="amount">1400</div>
					<div class="period">Septiembre 2017</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">12/12/2018</div>
					<div class="status commited">Entregado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">Ariel Pereyra Loyola</div>
					<div class="amount">400</div>
					<div class="period">Enero 2018</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">-</div>
					<div class="status received">Cargado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">María de las mercedes Pereyra Olavarría</div>
					<div class="amount">700</div>
					<div class="period">Febrero 2018</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">-</div>
					<div class="status received">Cargado</div>
				</div>
				<div class="element">
					<div class="checkbox"><input type="checkbox"></div>
					<div class="contributor">Daniela Ivanna Satz</div>
					<div class="amount">1400</div>
					<div class="period">Septiembre 2017</div>
					<div class="receptionDate">11/12/2018</div>
					<div class="commitDate">12/12/2018</div>
					<div class="status commited">Entregado</div>
				</div>
			</div>
		</main>
		<footer>
			<span>Equipo de aportes de parque la reja</span> 
		</footer>
		<script>
			var app = new Vue({
				el: "#list",
				data: {	
					showFilters: false,
					showFiltersClass: "hide"
				},
				methods: {	
					toggleFilters: function(){	
						this.showFilters = !this.showFilters;	
						if (this.showFilters){
							this.showFiltersClass = "show";	
						}
						else{
							this.showFiltersClass = "hide";	
						}	
					}	
				}	
			});
		</script>
	</body>
</html>

